# API Reference

- [Vanilla API](https://docs.oidc-spa.dev/docs/v3/api-reference/vanilla-api.md)
- [createOidc()](https://docs.oidc-spa.dev/docs/v3/api-reference/vanilla-api/createoidc.md): The createOidc() function is a function that assists in creating an OpenID Connect (OIDC) client, which can be utilized in your application for authentication purposes.
- [React API](https://docs.oidc-spa.dev/docs/v3/api-reference/react-api.md)
- [createOidcProvider](https://docs.oidc-spa.dev/docs/v3/api-reference/react-api/createoidcprovider.md)
- [createUseOidc](https://docs.oidc-spa.dev/docs/v3/api-reference/react-api/createuseoidc.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oidc-spa.dev/docs/v3/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
